<ng-container *ngIf="vm$ | async as vm">
	<div class="row">
		<div class="col">
			<div class="row mt-2">
			 <div class="col-auto d-flex align-content-center px-0">
  				<button class="btn btn-secondary pet-bottom-left-rounded py-0 pet-glow-dark-btn-sm-rev"
  					type="button" (click)="ingCollapsed = !ingCollapsed">
  					<fa-icon [icon]="iconDropDown" class="light-svg"></fa-icon>
  				</button>
			 </div>
				<div class="col bg-secondary-dark pet-top-right-rounded text-tertiary-light"	i18n="label@@ingredients">
				  <span>Ingredients</span>
				</div>
			</div>
			<div class="row mt-1" [ngbCollapse]="ingCollapsed">
				<div class="col px-3">
					<div class="row striped-grid-nested" *ngFor="let iq of ingQuotasList; index as i">
						<div class="col">
							<div class="row d-flex justify-content-start">
					      <div class="col-auto d-flex align-content-center px-0">
  								<button [ngClass]="{'invisible': iq.compQuotasList.length === 0}"
  									class="btn btn-sm btn-secondary align-self-start pet-bottom-left-rounded py-0 pet-glow-dark-btn-sm-rev"
  									type="button" (click)="compCollapsed[i] = !compCollapsed[i]">
  									<fa-icon [icon]="iconDropDown" class="light-svg"></fa-icon>
  								</button>
					      </div>
	
								<div class="col-8 p-0 text-truncate">
									<div class="m-0 ps-1 striped-item border-end-3 border-primary text-truncate">
										<span [title]="iq.ingredient" appTouchTooltip>{{ iq.ingredient }}</span>
									</div>
									<div class="flex-column offset-2 mb-1" [ngbCollapse]="compCollapsed[i]">
										<div *ngFor="let cq of iq.compQuotasList; let j=index"
											class="row m-0"	[ngClass]="i%2 ? 'striped-grid' : 'striped-grid-rev'" id="cost_{{i}}">
											<div class="col-9 border-end-3 border-primary-lighter ps-0">
												<div class="m-0 ps-1 shadow-in text-truncate">
													<span [title]="cq.component" appTouchTooltip>{{ cq.component }}</span>
												</div>
											</div>
											<div class="col-3 p-0">
												<div class="shadow-in ps-1">
													<span>{{ !!cq.compPerc ? cq.compPerc+'%' : '-' }}</span>
												</div>
											</div>
										</div>
									</div>
								</div>
	
								<div class="col p-0">
									<div class="d-flex justify-content-between p-0">
										<div class="ps-1 flex-grow-1 striped-item">
											<span>{{ !!iq.ingPerc ? iq.ingPerc+'%' : '-' }}</span>
										</div>
										<button *ngIf="listing === true" type="button"
											class="btn btn-sm btn-primary-dark pet-glow-dark-btn-sm-rev p-0"
											(click)="productsListStore.sortByIng(iq.ingredient)">
											<fa-icon [icon]="iq.ingredient === vm.sortedByIng && !vm.ascending ? iconSortAsc : iconSortDesc" class="light-svg"></fa-icon>
										</button>
									</div>
								</div>
								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col">
			<div class="row mt-2">
	      <div class="col-auto d-flex align-content-center px-0">
  				<button	class="btn btn-secondary py-0 pet-bottom-left-rounded pet-glow-dark-btn-sm-rev"
  					type="button" (click)="analysisCollapsed = !analysisCollapsed">
  					<fa-icon [icon]="iconDropDown" class="light-svg"></fa-icon>
  				</button>
	      </div>
				<div class="col bg-secondary-dark pet-top-right-rounded text-tertiary-light"	i18n="label@@analysis">
				  <span>Analysis</span>
				</div>
			</div>
			<div class="row mt-1" [ngbCollapse]="analysisCollapsed">
				<div class="col px-3">
					<ng-container *ngFor="let elem of analysisKeys">
					<div class="row striped-grid flex-nowrap" *ngIf="analysis[elem].value">
						<div class="col px-0">
							<div class="text-truncate">
								<span class="ps-1">{{ analysis[elem].display }}</span>
							</div>
						</div>
						<div class="col-2 px-0" *ngIf="elem !== 'energy'; else energyTpl">
							<div>
								<span class="ps-1">{{ analysis[elem].value }}%</span>
							</div>
						</div>
						<ng-template #energyTpl>
						<div class="col-5 px-0 text-end">
							<div>
								<span class="ps-1">{{ analysis[elem].value }} Kcal</span>
							</div>
						</div>
						</ng-template>
						<div class="col-1 px-0 text-end">
							<button	*ngIf="listing === true && elem !== 'moisture' && elem !== 'energy'"
								type="button"	class="btn btn-sm btn-primary-dark pet-glow-dark-btn-sm-rev p-0 align-self-start"
								(click)="productsListStore.sortByAnalysis(elem)">
								<fa-icon [icon]="elem === vm.sortedByAnalysis && !vm.ascending ? iconSortAsc : iconSortDesc" class="light-svg"></fa-icon>
							</button>
						</div>
					</div>
					</ng-container>
				</div>
	
			</div>
		</div>
	</div>
</ng-container>
	